Subject: mount trouble
From: Usman Muzaffar <[email-masked]>
To: [email-masked]
Date: Mon, 02 Sep 2002 05:21:00 -0700
Newsgroups: gmane.os.cygwin

Hi -

I accidentally typed 'umount -A' (remove all mounts) when I mean to type 
'umount -U' (remove user mounts). Two problems:

1. I can't remember exactly, but there used to be 
   four or five mounts defined (/, /usr/bin, /usr/lib,
   maybe some X ones as well). How do I get them back?
   Why does cygwin use something like an /etc/fstab
   file instead of (I'm guessing) registry entries that
   are permanently removed when you umount?

2. Even after restoring /, /usr/bin and /usr/lib, I'm 
   having a lot off difficulty. Notably:

   HOME no longer seems to be set. Double clicking
   on Cygwin bash gives me a shell in '/'. HOME seems 
   to be set to '/'.

   sshd login refuses to work: I get 'permission denied',
   for all users, immediately after entering password.
   In fact, I shouldn't even get password prompt - key auth 
   was working until I lost the mounts.
 
   If I had to guess, it seems like /etc/passwd can't
   be read. But that appears just fine with '/' mounted
   from c:\cgywin.

Surely this command isn't that devastating? How do I get
back to where I was?

thanks,
usman

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/